## MgEntryPassmd5

MgEntryPassmd5 — Used to store password as an MD5 sum of real password

## Synopsis

    struct      MgEntryPassmd5;
    struct      MgEntryPassmd5Private;
    guint       mg_entry_passmd5_get_type       (void);
    GtkWidget*  mg_entry_passmd5_new            (MgDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----MgEntryShell
                                           +----MgEntryWrapper
                                                 +----MgEntryPassmd5

## Implemented Interfaces

MgEntryPassmd5 implements MgDataEntry and AtkImplementorIface.

## Description

## Details

### struct MgEntryPassmd5

    struct MgEntryPassmd5;

### struct MgEntryPassmd5Private

    struct MgEntryPassmd5Private;

### mg_entry_passmd5_get_type ()

    guint       mg_entry_passmd5_get_type       (void);

Returns : |

### mg_entry_passmd5_new ()

    GtkWidget*  mg_entry_passmd5_new            (MgDataHandler *dh,
                                                 GdaValueType type);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
Returns : | the new widget